package model;

import java.awt.Color;
import java.awt.Graphics2D;
import java.awt.Point;

/**
 * Tda reprezentujc kadou buku se schopnost vykreslit se do mky
 */
public class Bunka {
	
	private Point pozice;
	private Color barva = Color.WHITE;
	// barva teto bunky (pro ostatni bunky):
	public boolean x = true;
	
	public Bunka() {
		pozice = new Point();
	}
	
	public Bunka(Point pozice) {
		this.pozice = pozice;
	}
	
	public Bunka(int i, int j) {
		pozice = new Point(i, j);
	}
	
	public Color getBarva() {
		return barva;
	}
	
	public void setBarva(Color barva) {
		this.barva = barva;
		if (barva == Color.WHITE) {
			x = true;
			//System.out.println("TRUE");
		} else {
			x = false;
			//System.out.println("FALSE");
		}
	}
	
	public Point getPozice() {
		return pozice;
	}
	
	public void setPozice(Point pozice) {
		this.pozice = pozice;
	}
	
	public void setPozice(int i, int j) {
		pozice.x = i;
		pozice.y = j;
	}

	public void kresli(Graphics2D gr, int x, int y, int sirka, int vyska) {
		if (this.x) {
			barva = Color.WHITE;
		} else {
			barva = Color.BLACK;
		}
		gr.setColor(barva);
		gr.fillRect(x, y, sirka, vyska);
	}
}