package rozhrani;

import java.io.IOException;
import java.io.OutputStream;
import javax.swing.JTextArea;

/**
 * Tda pro pesmrovn vpis z konzole do textovch pol Vsledn een a Prbh een.
 */
public class JTextAreaOutputStream extends OutputStream
{
    private final JTextArea destination;
    public JTextAreaOutputStream(JTextArea destination)
    {
        if (destination == null)
            throw new IllegalArgumentException("Chyba pi nastaven clovho pole.");
        	this.destination = destination;
    }
@Override
    public void write(byte[] buffer, int offset, int length) throws IOException
    {
        final String text = new String (buffer, offset, length);
                    destination.append(text);
                    destination.setCaretPosition(destination.getDocument().getLength());
                    
    }
@Override
    public void write(int b) throws IOException
    {
        write(new byte [] {(byte)b}, 0, 1);
    }

}